// 数字筛选（有 - 和 . 且只出现一次）
export const number = value => value.replace(/[^-\d.]/g, '').replace(/(^-?)|-/g, '$1').replace(/(^-?\d*\.?\d*).*/g, '$1')

// 整数筛选（有 - 无 . 且只出现一次）
export const int = value => value.replace(/[^-\d]/g, '').replace(/(^-?)|-/g, '$1')

// 正数筛选（无 - 有 . 且只出现一次）
export const posNumber = value => value.replace(/[^.\d]/g, '').replace(/(\d*\.?\d*).*/g, '$1')

// 正整数筛选（只保留数字）
export const posInt = value => value.replace(/\D/g, '')
